Get export request by ID - Fabric
Get export request by ID
cURL
curl --request GET \
--url https://api.fabric.inc/v3/offers-exports/{exportId} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
import requests
url = "https://api.fabric.inc/v3/offers-exports/{exportId}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
const options = {
method: 'GET',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/offers-exports/{exportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Status Codes
- 200
- 400
- 401
- 500
Example Responses
Success response:
{
"exportId": "ab50fe48-5da0-4e77-92d1-bb629eedf19e",
"startedAt": "2023-05-17T21:24:52.398Z",
"status": "IN_PROGRESS",
"type": "REDEMPTION",
"endedAt": null,
"totalDataExported": 0,
"errors": [],
"filters": [
{
"field": "storeId",
"value": "store001",
"operator": "EQUAL"
}
],
"fileId": "redemption/tenantId/1687472977242-redemption-export.csv"
}
Export not found response:
{
"type": "EXPORT_NOT_FOUND",
"message": "The export ID you entered doesn’t exist."
}
Unauthorized response:
{
"type": "UNAUTHORIZED",
"message": "Invalid credentials"
}
Internal server error response:
{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}
Authorizations
Authorization: string
- Header required: Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Headers
x-fabric-tenant-id: required, used by fabric to identify the tenant making the request. You must include tenant id in the header for an API request to access any of fabric’s endpoints. Required string length:24
Path Parameters
- exportId:
stringrequired, the ID value that was generated from the initiate export request endpoint.